Bug 519688 - audio routes to wrong device, internal intel sound broken when usb headset plugged in
Summary: audio routes to wrong device, internal intel sound broken when usb headset pl...
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Fedora
Classification: Fedora
Component: pulseaudio
Version: 11
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Lennart Poettering
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-08-27 12:38 UTC by Kai Engert (:kaie) (inactive account)
Modified: 2009-08-31 13:05 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-08-29 00:38:07 UTC


Attachments (Terms of Use)
boot 1, dmesg (46.62 KB, text/plain)
2009-08-27 12:44 UTC, Kai Engert (:kaie) (inactive account)
no flags Details
boot 1, lsmod (2.97 KB, text/plain)
2009-08-27 12:45 UTC, Kai Engert (:kaie) (inactive account)
no flags Details
boot 1, lspci (2.23 KB, text/plain)
2009-08-27 12:45 UTC, Kai Engert (:kaie) (inactive account)
no flags Details
boot 1, lsusb (1.05 KB, text/plain)
2009-08-27 12:45 UTC, Kai Engert (:kaie) (inactive account)
no flags Details
boot 2, dmesg (47.03 KB, text/plain)
2009-08-27 12:46 UTC, Kai Engert (:kaie) (inactive account)
no flags Details
boot 2, lsmod (2.97 KB, text/plain)
2009-08-27 12:46 UTC, Kai Engert (:kaie) (inactive account)
no flags Details
boot 2, lspci (2.23 KB, text/plain)
2009-08-27 12:46 UTC, Kai Engert (:kaie) (inactive account)
no flags Details
boot 2, lsusb (1.14 KB, text/plain)
2009-08-27 12:47 UTC, Kai Engert (:kaie) (inactive account)
no flags Details
aplay error after removing usb headset (734 bytes, text/plain)
2009-08-27 12:49 UTC, Kai Engert (:kaie) (inactive account)
no flags Details

Description Kai Engert (:kaie) (inactive account) 2009-08-27 12:38:49 UTC
Earlier on Fedora 11, everything worked fine.
Bug must have been introduced with some recent package upgrade.
I'm up to date with all updates, including kernel 
Linux lapkaie 2.6.29.6-217.2.16.fc11.i686.PAE #1 SMP Mon Aug 24 17:16:21 EDT 2009 i686 i686 i386 GNU/Linux


Description of problem:
With USB-headset plugged in during boot, this routes all sound to the headset. Internal intel hardware never plays sound. Gnome mixer applet displays both audio output devices, but regardless of setting (internal or usb) the audio always goes to usb.

When booting without usb-headset, audio is played find using internal audio (laptop, external speaker connected to standard stereo jack).


Version-Release number of selected component (if applicable):
Which packages do you need to see?
kernel 2.6.29.6-217.2.16.fc11.i686.PAE
pulseaudio-0.9.15-14.fc11.i586


  
Actual results:
Sound always goes to usb.
mixer applet switching of output device has no effect.


Expected results:
When both usb and internal are present, sound should go via internal audio by default.
At least mixer applet should allow to switch audio to either usb or internal.


Additional info:
I'll give more info about hardware etc. in follow-up comments

Comment 1 Kai Engert (:kaie) (inactive account) 2009-08-27 12:41:59 UTC
I also did basic tests on console (outside X, not logged in to desktop), which gave me same results.

Boot attempt 1: 
  only internal audio, no usb connected
  aplay /usr/share/sounds/generic.wav
    => plays to internal audio, as expected, fine

Boot attempt 2:
  usb headset already connected at boot time
  aplay /usr/share/sounds/generic.wav
    => plays in usb headset, only
  unplug usb-headset
  aplay /usr/share/sounds/generic.wav
    => no sound, gives error messages, see attached files

Comment 2 Kai Engert (:kaie) (inactive account) 2009-08-27 12:44:13 UTC
Created attachment 358854 [details]
boot 1, dmesg

Comment 3 Kai Engert (:kaie) (inactive account) 2009-08-27 12:45:06 UTC
Created attachment 358855 [details]
boot 1, lsmod

Comment 4 Kai Engert (:kaie) (inactive account) 2009-08-27 12:45:27 UTC
Created attachment 358856 [details]
boot 1, lspci

Comment 5 Kai Engert (:kaie) (inactive account) 2009-08-27 12:45:46 UTC
Created attachment 358858 [details]
boot 1, lsusb

Comment 6 Kai Engert (:kaie) (inactive account) 2009-08-27 12:46:14 UTC
Created attachment 358859 [details]
boot 2, dmesg

Comment 7 Kai Engert (:kaie) (inactive account) 2009-08-27 12:46:39 UTC
Created attachment 358861 [details]
boot 2, lsmod

Comment 8 Kai Engert (:kaie) (inactive account) 2009-08-27 12:46:59 UTC
Created attachment 358862 [details]
boot 2, lspci

Comment 9 Kai Engert (:kaie) (inactive account) 2009-08-27 12:47:19 UTC
Created attachment 358863 [details]
boot 2, lsusb

Comment 10 Kai Engert (:kaie) (inactive account) 2009-08-27 12:48:06 UTC
I also saw the following kernel error:

    ALSA sound/usb/usbaudio.c:873: cannot submit datapipe for urb 0, error -28: not enough  ...:  14 Time(s)

Comment 11 Kai Engert (:kaie) (inactive account) 2009-08-27 12:49:12 UTC
Created attachment 358864 [details]
aplay error after removing usb headset

(In reply to comment #1)
>   ...
>   aplay /usr/share/sounds/generic.wav
>     => no sound, gives error messages, see attached files

Comment 12 Lennart Poettering 2009-08-27 21:53:49 UTC
Just open pavucontrol and move the applications to the right device by right clicking on them in the "playback" tab. PA will then remember.

Low-level alsa device indexes are not stable. They are assigned in a different order on each reboot. PA hence does not rely on them and uses hal/udev identifiers instead.

Comment 13 Kai Engert (:kaie) (inactive account) 2009-08-28 16:57:24 UTC
I disagree with "notabug".

The user interface gives me the impression that I'm able to switch output device, but it doesn't work. That's a bug in the software that is installed on my system.

My Fedora 11 installation does not have package pavucontrol installed. How should a user know that this package is required? Not having the necessary packages installed is another bug.

It appears broken to users, and I spent 1 hour asking around and filing a bug report. It shouldn't be like that.

Comment 14 Kai Engert (:kaie) (inactive account) 2009-08-28 16:59:51 UTC
Note that "alsa" was simply an example.

I got the exact same audio output behavior when being logged in to the gnome desktop, and used xmms for playback.

Comment 15 Lennart Poettering 2009-08-29 00:38:07 UTC
Which "user interface" are you referring to?

g-v-c in F11 should allow changing the default device too. You don't have to use pavucontrol for that. And g-v-c is installed by default.

XMMS probably also goes to the low-level audio device directly. It's a wrong assumption in those programs if they assume the device index was stable in any way.

So, I am closing this again, as this bug is unrelated to PA and we do ship (and install by default) a tool that allows selecting the default audio device for PA applications.

Comment 16 Kai Engert (:kaie) (inactive account) 2009-08-31 13:05:30 UTC
Lennart,

(In reply to comment #15)
> g-v-c in F11 should allow changing the default device too. You don't have to
> use pavucontrol for that. And g-v-c is installed by default.


as I said in comment 0:

> Gnome mixer applet displays both audio output devices, 
> but regardless of setting (internal or usb) the audio
> always goes to usb.


I had already tried to switch the audio output device using the gnome mixer applet. I doesn't work.

To state it more clearly:

audio output device set to "internal audio"
  => audio is played via usb headset

audio output device set to "usb headset"
  => audio is played via usb headset


Note You need to log in before you can comment on or make changes to this bug.